=== added directory 'trp_backup_rsync'
=== added file 'trp_backup_rsync/__init__.py'
--- trp_backup_rsync/__init__.py	1970-01-01 00:00:00 +0000
+++ trp_backup_rsync/__init__.py	2012-10-11 17:30:14 +0000
@@ -0,0 +1,22 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    This module copyright (C) 2011-2012 Therp BV (<http://therp.nl>) Tiny SPRL (<http://tiny.be>))
+#    All Rights Reserved
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+import trp_backup_rsync

=== added file 'trp_backup_rsync/__openerp__.py'
--- trp_backup_rsync/__openerp__.py	1970-01-01 00:00:00 +0000
+++ trp_backup_rsync/__openerp__.py	2012-10-11 17:30:14 +0000
@@ -0,0 +1,43 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    This module copyright (C) 2011-2012 Therp BV (<http://therp.nl>) Tiny SPRL (<http://tiny.be>))
+#    All Rights Reserved
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    'name': 'backup',
+    'version': '1.0',
+    'description': """Allows you to copy your backup to a server supported by rsync
+    Before being able to use it, fill in trp_backup_rsync.host via Settings->
+    Customization -> Low level objects -> System parameters.
+
+    This can be any host string supported by rsync, ie [USER@]HOST:DEST
+
+    Note that the transfer will be restarted until it succeeds, so misconfiguration
+    can lead to a dead lock.
+    """,
+    'author': 'Therp BV',
+    'website': 'http://www.therp.nl',
+    "category": "Tools",
+    "depends": ['trp_backup'],
+    'init_xml': ['data/ir_config_parameter.xml'],
+    'installable': True,
+    'active': False,
+    'certificate': '',
+}

=== added directory 'trp_backup_rsync/data'
=== added file 'trp_backup_rsync/data/ir_config_parameter.xml'
--- trp_backup_rsync/data/ir_config_parameter.xml	1970-01-01 00:00:00 +0000
+++ trp_backup_rsync/data/ir_config_parameter.xml	2012-10-11 17:30:14 +0000
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+        <data noupdate="1">
+        <record
+            id="param_rsync_host"
+            model="ir.config_parameter">
+            <field name="key">trp_backup_rsync.host</field>
+            <field name="value">fill in the host string for your destination</field>
+        </record>
+        </data>
+</openerp>

=== added file 'trp_backup_rsync/trp_backup_rsync.py'
--- trp_backup_rsync/trp_backup_rsync.py	1970-01-01 00:00:00 +0000
+++ trp_backup_rsync/trp_backup_rsync.py	2012-10-11 17:30:14 +0000
@@ -0,0 +1,66 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    This module copyright (C) 2011-2012 Therp BV (<http://therp.nl>) Tiny SPRL (<http://tiny.be>))
+#    All Rights Reserved
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from openerp.osv.orm import TransientModel,except_orm
+import subprocess
+from openerp.tools.translate import _
+
+class trp_backup_wizard(TransientModel):
+    _inherit='trp_backup.wizard'
+
+    def do_backup(self, cr, uid):
+        success, messages, backup_file=super(trp_backup_wizard, self).do_backup(cr, 
+                uid)
+
+        if success:
+            messages+='\n'
+            params=self.pool.get('ir.config_parameter')
+            rsync_host=self.pool.get('ir.config_parameter').get_param(cr, uid, 
+                    'trp_backup_rsync.host')
+            
+            self._logger.info(_('copying %s to %s')%(backup_file,rsync_host))
+            
+            run_transfer=True
+            while run_transfer:
+                rsync_process=subprocess.Popen(['rsync', 
+                    '--partial',
+                    backup_file,
+                    rsync_host], 
+                    stdout=subprocess.PIPE, stderr=subprocess.PIPE)
+                
+                output=rsync_process.communicate()
+                
+                if rsync_process.returncode==0:
+                    messages+=_('Sucessfully copied %s to %s')%(backup_file,
+                            rsync_host)
+                    messages+=(output[0]+'\n') if output[0] else ''
+                    messages+=(output[1]+'\n') if output[1] else ''
+                    run_transfer=False
+                else:
+                    messages+=_('There was an error during transfer:')+'\n'
+                    messages+=(output[0]+'\n') if output[0] else ''
+                    messages+=(output[1]+'\n') if output[1] else ''
+                    
+                self._logger.info(messages)
+        else:
+            self._logger(_('Backup failed, not running transfer'))
+
+        return success, messages, backup_file

